Bug 61795 - bookmarks written to disk only upon exiting program
bookmarks written to disk only upon exiting program
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-24 13:22 EST by Chris Ricker
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-05 01:34:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-03-24 13:22:20 EST
With mozilla-0.9.9 in beta3, bookmarks added during a mozilla session are only
permanently added if mozilla is exited cleanly (File -> Quit).  Things like
crashes, or logging out of X (which results in exiting Mozilla via pkill -15)
lose all bookmarks which were added during that session.

Presumably, bookmarks are no longer flushed to disk as they are added.  Instead,
they only get written when the browser exits.  Tailing
~/.mozilla/default/mumble/bookmarks.html confirms this as well.

This has caused me to lose lots of bookmarks, until I figured out what was
happening.  The old behavior of netscape and prior mozilla releases was much
more user-friendly.
Comment 1 Chris Ricker 2002-04-05 01:34:06 EST
Still true with beta4
Comment 2 Chris Ricker 2002-05-05 11:47:13 EDT
7.3 gold fixes this

Note You need to log in before you can comment on or make changes to this bug.